| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::aruco::GridBoard Class Reference
Object Detection » ArUco markers and boards detection for robust camera pose estimation

Planar board with grid arrangement of markers. More...

`#include <opencv2/objdetect/aruco_board.hpp>`

Collaboration diagram for cv::aruco::GridBoard:

## Public Member Functions
| GridBoard ()
| GridBoard (const Size &size, float markerLength, float markerSeparation, const Dictionary &dictionary, InputArray ids=noArray())
| GridBoard constructor.
Size | getGridSize () const
float | getMarkerLength () const
float | getMarkerSeparation () const
Public Member Functions inherited from cv::aruco::Board
| Board ()
| Board (InputArrayOfArrays objPoints, const Dictionary &dictionary, InputArray ids)
| Common Board constructor.
void | generateImage (Size outSize, OutputArray img, int marginSize=0, int borderBits=1) const
| Draw a planar board.
const Dictionary & | getDictionary () const
| return the Dictionary of markers employed for this board
const std::vector< int > & | getIds () const
| vector of the identifiers of the markers in the board (should be the same size as objPoints)
const std::vector< std::vector< Point3f > > & | getObjPoints () const
| return array of object points of all the marker corners in the board.
const Point3f & | getRightBottomCorner () const
| get coordinate of the bottom right corner of the board, is set when calling the function create()
void | matchImagePoints (InputArrayOfArrays detectedCorners, InputArray detectedIds, OutputArray objPoints, OutputArray imgPoints) const
| Given a board configuration and a set of detected markers, returns the corresponding image points and object points, can be used in solvePnP()

## Additional Inherited Members
Protected Member Functions inherited from cv::aruco::Board
| Board (const Ptr< Impl > &impl)
Protected Attributes inherited from cv::aruco::Board
Ptr< Impl > | impl

## Detailed Description

Planar board with grid arrangement of markers.

More common type of board. All markers are placed in the same plane in a grid arrangement. The board image can be drawn using generateImage() method.

## Constructor & Destructor Documentation

## ◆ GridBoard() [1/2]

cv::aruco::GridBoard::GridBoard | ( | const Size & | size,
|  | float | markerLength,
|  | float | markerSeparation,
|  | const Dictionary & | dictionary,
|  | InputArray | ids = noArray() )

Python:
| cv.aruco.GridBoard( | size, markerLength, markerSeparation, dictionary[, ids] | ) -> | <aruco_GridBoard object>

GridBoard constructor.

Parameters

  size | number of markers in x and y directions
  markerLength | marker side length (normally in meters)
  markerSeparation | separation between two markers (same unit as markerLength)
  dictionary | dictionary of markers indicating the type of markers
  ids | set of marker ids in dictionary to use on board.

Here is the call graph for this function:

## ◆ GridBoard() [2/2]

cv::aruco::GridBoard::GridBoard | ( |  | ) |

Python:
| cv.aruco.GridBoard( | size, markerLength, markerSeparation, dictionary[, ids] | ) -> | <aruco_GridBoard object>

## Member Function Documentation

## ◆ getGridSize()

Size cv::aruco::GridBoard::getGridSize | ( |  | ) | const

Python:
| cv.aruco.GridBoard.getGridSize( |  | ) -> | retval

## ◆ getMarkerLength()

float cv::aruco::GridBoard::getMarkerLength | ( |  | ) | const

Python:
| cv.aruco.GridBoard.getMarkerLength( |  | ) -> | retval

## ◆ getMarkerSeparation()

float cv::aruco::GridBoard::getMarkerSeparation | ( |  | ) | const

Python:
| cv.aruco.GridBoard.getMarkerSeparation( |  | ) -> | retval

The documentation for this class was generated from the following file:

- opencv2/objdetect/aruco_board.hpp